#include "Program.h"

Program::Program() {
    // Startup
    Serial.begin(MONITOR_SPEED);

    WiFi.begin(WSSID, PASS);

    Serial.print("Connecting to ");
    Serial.print(WSSID); Serial.println(" ...");

    int i = 0;
    while (WiFi.status() != WL_CONNECTED) { // Wait for the Wi-Fi to connect
        delay(1000);
        Serial.print(++i); Serial.print(' ');
    }

    Serial.println('\n');
    Serial.println("Connection established!");
    Serial.print("IP address:\t");
    Serial.println(WiFi.localIP());         // Send the IP address of the ESP8266 to the computer



    this->discord = new DiscordAPI(DISCORD_HOOK);
    delay(1000);
    Serial.println(this->discord->sendHeure("10h", "18h"));
}

void Program::loop() {
    // Loop
}
